package cn.com.ctop.oa.modules.service;

import cn.com.ctop.oa.modules.entity.WechatAttendance;
import cn.com.ctop.oa.modules.entity.WechatNoList;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 审批信息
 * @Author: jeecg-boot
 * @Date: 2020-09-23
 * @Version: V1.0
 */
public interface IWechatNoListService extends IService<WechatNoList> {

    /**
     * 审批申请数据入库
     *
     * @param starttime 审批单提交的时间范围，开始时间，UNix时间戳
     * @param endtime   批单提交的时间范围，结束时间，Unix时间戳
     * @return void
     * @throws
     * @author ZHAOXA
     */
    void getNoDateByNo(String starttime, String endtime,String dataType);

    List<WechatAttendance> queryAttendanceData(Map<String, Object> paramsMap);

    List<WechatAttendance> queryOverTimeData(Map<String, Object> paramsMap);

    PageInfo<WechatAttendance> selectNoListPage(Map<String, Object> paramsMap);

    PageInfo<WechatAttendance> selectOverTimePage(Map<String, Object> paramsMap);

    List<WechatAttendance> queryYRAttendanceData(Map<String, Object> paramsMap);

    List<WechatAttendance> queryYROverTimeData(Map<String, Object> paramsMap);
}
